Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
mallinfo Struct Reference

## Data Fields
MALLINFO_FIELD_TYPE | arena
MALLINFO_FIELD_TYPE | ordblks
MALLINFO_FIELD_TYPE | smblks
MALLINFO_FIELD_TYPE | hblks
MALLINFO_FIELD_TYPE | hblkhd
MALLINFO_FIELD_TYPE | usmblks
MALLINFO_FIELD_TYPE | fsmblks
MALLINFO_FIELD_TYPE | uordblks
MALLINFO_FIELD_TYPE | fordblks
MALLINFO_FIELD_TYPE | keepcost

## Detailed Description

Definition at line 628 of file dlmalloc.c.

## Field Documentation

## ◆ arena

MALLINFO_FIELD_TYPE mallinfo::arena

Definition at line 629 of file dlmalloc.c.

## ◆ fordblks

MALLINFO_FIELD_TYPE mallinfo::fordblks

Definition at line 637 of file dlmalloc.c.

## ◆ fsmblks

MALLINFO_FIELD_TYPE mallinfo::fsmblks

Definition at line 635 of file dlmalloc.c.

## ◆ hblkhd

MALLINFO_FIELD_TYPE mallinfo::hblkhd

Definition at line 633 of file dlmalloc.c.

## ◆ hblks

MALLINFO_FIELD_TYPE mallinfo::hblks

Definition at line 632 of file dlmalloc.c.

## ◆ keepcost

MALLINFO_FIELD_TYPE mallinfo::keepcost

Definition at line 638 of file dlmalloc.c.

## ◆ ordblks

MALLINFO_FIELD_TYPE mallinfo::ordblks

Definition at line 630 of file dlmalloc.c.

## ◆ smblks

MALLINFO_FIELD_TYPE mallinfo::smblks

Definition at line 631 of file dlmalloc.c.

## ◆ uordblks

MALLINFO_FIELD_TYPE mallinfo::uordblks

Definition at line 636 of file dlmalloc.c.

## ◆ usmblks

MALLINFO_FIELD_TYPE mallinfo::usmblks

Definition at line 634 of file dlmalloc.c.

The documentation for this struct was generated from the following file:

- ext/fiddle/libffi-3.2.1/src/dlmalloc.c